[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TPageControl.DoAddDockClient

DoAddDockClient creates a new TabSheet in the PageControl, places the client on it and aligns it

## Declaration

Source position: comctrls.pp line 281

`protected procedure TPageControl.DoAddDockClient(`
`Client: TControl;`
`const ARect: TRect`
`); override;`

## Description

Client cannot be added to TPageControl itself but new TabSheet should be added and client placed onto it

## See also

TWinControl.DoAddDockClient |  | DoAddDockClient - add the specified control as a client for docking in the specified location (Arect)

The latest version of this document can be found at lazarus-ccr.sourceforge.net.